from django.urls import path

from . import views

urlpatterns = [
    path("", views.index, name="index"),
    path("login", views.LoginView.as_view(), name="login"),
    path("logout", views.LogoutView.as_view(), name="logout"),
    path("transactions", views.TransactionListView.as_view(), name="transactions"),
    path("transaction", views.TransactionCreateView.as_view(), name="transaction"),
    path(
        "transaction/<transaction_pk>/invoice",
        views.InvoiceCreateView.as_view(),
        name="invoice",
    ),
    path("category", views.CategoryCreateView.as_view(), name="category"),
    path("snapshot", views.SnapshotCreateView.as_view(), name="snapshot"),
    path("transaction/<pk>", views.TransactionUpdateView.as_view(), name="transaction"),
    path(
        "transaction/<transaction_pk>/invoice/<pk>",
        views.InvoiceUpdateView.as_view(),
        name="invoice",
    ),
    path("category/<pk>", views.CategoryUpdateView.as_view(), name="category"),
    path("snapshot/<pk>", views.SnapshotUpdateView.as_view(), name="snapshot"),
    path(
        "transaction/<pk>/delete",
        views.TransactionDeleteView.as_view(),
        name="del_transaction",
    ),
    path(
        "transaction/<transaction_pk>/invoice/<pk>/delete",
        views.InvoiceDeleteView.as_view(),
        name="del_invoice",
    ),
    path(
        "category/<pk>/delete", views.CategoryDeleteView.as_view(), name="del_category"
    ),
    path(
        "snapshot/<pk>/delete", views.SnapshotDeleteView.as_view(), name="del_snapshot"
    ),
    path("search", views.search, name="search_post"),
    path("search/<search>", views.SearchView.as_view(), name="search"),
]
